Zum Inhalt springen

List collection shares

GET
/api/collections/{id}/shares
curl --request GET \
--url https://firma.company-gpt.com/companygpt/rag/api/api/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/shares \
--header 'Authorization: Bearer <token>'

List shares for a collection. Only collection owners may list shares.

id
required
string format: uuid

Collection UUID

List of shares

Media typeapplication/json
Array<object>

A collection share (handlers.ShareResponse)

object
id
required
string format: uuid
collection_id
required
string format: uuid
type
required
string
Allowed values: user entra_user entra_group public
target
required

Email for “user” shares, Entra object ID for “entra_user”/“entra_group” shares, empty for “public”

string
targetDisplay
required

Human-readable label (e.g. resolved Entra group name); falls back to “target”

string
name

Display name of the principal, when known

string
email

Address of the principal, when known (groups usually have none)

string
role
required

“owner” shares express collection ownership; a collection always has at least one and they are only valid for “user”/“entra_user” shares.

string
Allowed values: viewer admin owner
created_at
required
string format: date-time
Example
[
{
"type": "user",
"role": "viewer"
}
]

Invalid collection ID

Unauthorized

Forbidden — only collection owners may list shares

Collection not found